Bug 810121 - Can not start VM via "Run Once"
Can not start VM via "Run Once"
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Eli Mesika
: Regression, TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2012-04-05 04:27 EDT by Avihai Shoham
Modified: 2012-12-17 02:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-17 02:49:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
engine log (4.92 MB, application/octet-stream)
2012-04-05 04:27 EDT, Avihai Shoham
no flags Details

  None (edit)
Description Avihai Shoham 2012-04-05 04:27:20 EDT
Created attachment 575319 [details]
engine log

Can not  start VM using  "Run Once".
boot order in cd-rom sent with 'bootOrder': '0',  this cause internal error in libvirt since libvirt expecting positive integer.

Below is the internal error reported by libvirt

"libvirtError: internal error incorrect boot order '0',"

see attached
Comment 1 Eli Mesika 2012-04-05 04:39:47 EDT
Comment 2 Avihai Shoham 2012-05-06 03:08:27 EDT
verified on last dev hash commit b27eef27132cd152d58b6503324a9248374864ab

Note You need to log in before you can comment on or make changes to this bug.